## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global python3_pkgversion 3.11

%global srcname rpmautospec

Name: python%{python3_pkgversion}-%{srcname}
Version: 0.6.3
Release: %autorelease
Summary: Package and CLI tool to generate release fields and changelogs
License: MIT
URL: https://github.com/fedora-infra/%{srcname}
Source0: https://github.com/fedora-infra/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.gz
Patch0: python%{python3_pkgversion}-%{srcname}-0.6.3-setuptools.patch
patch1: 0001-Fix-tests-with-RPM-4.15.patch

BuildArch: noarch
BuildRequires: git
# the langpacks are needed for tests
BuildRequires: glibc-langpack-de
BuildRequires: glibc-langpack-en
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}dist(babel)
BuildRequires: python%{python3_pkgversion}dist(pygit2)
BuildRequires: python%{python3_pkgversion}dist(pytest)
BuildRequires: python%{python3_pkgversion}dist(pyyaml)
BuildRequires: python%{python3_pkgversion}dist(rpm)
BuildRequires: python%{python3_pkgversion}dist(rpmautospec-core)
BuildRequires: python%{python3_pkgversion}dist(setuptools)
BuildRequires: sed
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description
A package and CLI tool to generate RPM release fields and changelogs.

%package -n %{srcname}
Summary:  CLI tool for generating RPM releases and changelogs
Requires: python%{python3_pkgversion}-%{srcname} = %{version}-%{release}

%description -n %{srcname}
CLI tool for generating RPM releases and changelogs

%prep
%autosetup -n %{srcname}-%{version} -p1

sed -e 's|@VERSION|%{version}|g' < setup.py.in > setup.py

%build
%py3_build

%install
%py3_install

# The macro file is contained in epel-rpm-macros
# mkdir -p %%{buildroot}%%{rpmmacrodir}
# install -m 644  rpm/macros.d/macros.rpmautospec %%{buildroot}%%{rpmmacrodir}/

%check
%pytest -v

%files
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/*.egg-info/

%files -n %{srcname}
%{_bindir}/rpmautospec

%changelog
## START: Generated by rpmautospec
* Thu Mar 28 2024 Nils Philippsen <nils@redhat.com> - 0.6.3-1
- Import package
## END: Generated by rpmautospec
